Subject: Re: bug#30437: No “.guix-profile/bin/python” after ‘guix package -ipython’

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 13 Feb 2018 00:14:51 +0100

Mathieu Lirzin <[email-masked]> writes:

> Hi,
>
> Danny Milosavljevic <[email-masked]> writes:
>
>> On Mon, 12 Feb 2018 17:52:41 +0100
>> Mathieu Lirzin <[email-masked]> wrote:
>>
>>> I think it would work better if when installing python@3, a ‘python’
>>> executable would be available in the PATH.  Maybe there is a technical
>>> reason for not doing so, but I find its absence rather confusing.
>>
>> For backward compatibility, the 'python' executable always has to be Python 2.
>>
>> A lot of old scripts specify just "/usr/bin/env python" in the shebang.
>>
>> On the other hand if your script supports Python 3 you know it.
>
> Hum, then I don't understand why we aren't applying this argument to
> every interperter (Perl, Guile, ...) which introduce backward
> incompatible changes?

As far as I know, the Python 3 package does not provide the “python”
binary.  That’s upstream’s decision.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net